# StepShape_CsgPrimitive.hxx File Reference

`#include <StepData_SelectType.hxx>`
`#include <Standard_Integer.hxx>`
`#include <Handle_Standard_Transient.hxx>`
`#include <Handle_StepShape_Sphere.hxx>`
`#include <Handle_StepShape_Block.hxx>`
`#include <Handle_StepShape_RightAngularWedge.hxx>`
`#include <Handle_StepShape_Torus.hxx>`
`#include <Handle_StepShape_RightCircularCone.hxx>`
`#include <Handle_StepShape_RightCircularCylinder.hxx>`
`#include <Standard.hxx>`
`#include <Standard_Macro.hxx>`